!===============================================================================
!
! pes_mpi.F90 - shmem functions on BlueGene/L
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2006 Thomas Streuer
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
integer function my_pe()

  implicit none
  call bgl_get_my_rank(my_pe)
end

!-------------------------------------------------------------------------------
integer function num_pes()

  implicit none
  call bgl_get_num_procs(num_pes)
end

!===============================================================================
