!===============================================================================
!
! D520_g.F90 - reordered copy of the gauge field for d()/d_dag()
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2010 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# include "defs.h"

!-------------------------------------------------------------------------------
subroutine d_g_init(u_orig)  ! copies the original gauge field to "wilson"

  use module_switches
  use module_vol
  implicit none
  GAUGE_FIELD :: u_orig

  if (switches%quenched) return

!!call flip_bc(u_orig)

  call init_wilson_U(u_orig)

!!call flip_bc(u_orig)

!!  call d_g_init_r4(u)

end

!===============================================================================
