#===============================================================================
#
# d/DSF.mk - part of all "libd*.a"
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2006 Hinnerk Stueben
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#===============================================================================

OBJS_DSF = \
	dsf_xf.o \
	dsf_xb.o \
	dsf_yf.o \
	dsf_yb.o \
	dsf_zf.o \
	dsf_zb.o \
	dsf_tf.o \
	dsf_tb.o

dsf_xf.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_xf -DDIR_X -DFORWARD DSFxyzt.F90 > $@

dsf_yf.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_yf -DDIR_Y -DFORWARD DSFxyzt.F90 > $@

dsf_zf.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_zf -DDIR_Z -DFORWARD DSFxyzt.F90 > $@

dsf_tf.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_tf -DDIR_T -DFORWARD DSFxyzt.F90 > $@

dsf_xb.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_xb -DDIR_X -UFORWARD DSFxyzt.F90 > $@

dsf_yb.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_yb -DDIR_Y -UFORWARD DSFxyzt.F90 > $@

dsf_zb.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_zb -DDIR_Z -UFORWARD DSFxyzt.F90 > $@

dsf_tb.f90:  DSFxyzt.F90;  $(fpp) -DNAME=dsf_tb -DDIR_T -UFORWARD DSFxyzt.F90 > $@


