/*
*===============================================================================
*
* d/wilson_d501/shmem_comm.h 
*
*-------------------------------------------------------------------------------
*
* Copyright (C) 2006 Thomas Streuer 
*
* This file is part of BQCD -- Berlin Quantum ChromoDynamics program
*
* BQCD is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* BQCD is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with BQCD.  If not, see <http:*www.gnu.org/licenses/>.
*
*-------------------------------------------------------------------------------
*/
extern volatile char* send_fifo[2][3];
extern volatile char* recv_fifo[2][3];

void shmem_comm_init();
void fifo_recv(int f, int mu, int n, double* data);
void fifo_send(int f, int mu, int n, double* data);
int recv_fifo_stat(int f, int mu);
int send_fifo_stat(int f, int mu);
void transf_U(double* U);
