/*
*===============================================================================
*
* d/wilson_d520/globals.c
*
*-------------------------------------------------------------------------------
*
* Copyright (C) 2010 Thomas Streuer 
*
* This file is part of BQCD -- Berlin Quantum ChromoDynamics program
*
* BQCD is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* BQCD is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with BQCD.  If not, see <http:*www.gnu.org/licenses/>.
*
*-------------------------------------------------------------------------------
*/
#include "common.h"
#include "globals.h"


int my_rank;
int use_shmem = 0;
int grid[4], position[4], lattice[4], t_position[4];
int grid_nb[2][4];
int local_nb[2][4];
int num_procs;
int tot_bnd_size;
int volume;
int half_volume[2];
int volume_slice;
int half_slice[2];
int boundary[4];
int which_cpu;
int global_oe;
int global_oe_nb[4];
int torus_dir[4];
int logical_dir[4];
double* adirac_gaugeconf;
global_wilson_data_t wilson_data;
int mesh_topology;
int mesh_correct;
int t_local;
