!===============================================================================
!
! ildg_stubs.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2008 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# include "defs.h"

!-------------------------------------------------------------------------------
subroutine conf_read_ildg(restart, para, conf)

  use typedef_para
  implicit none

  logical                               :: restart
  type(type_para)                       :: para
  type(hmc_conf), dimension(MAX_TEMPER) :: conf

  call die("conf_read_ildg(): stub must not be called")
end

!-------------------------------------------------------------------------------
subroutine conf_write_ildg(restart, para, conf)

  use typedef_para
  implicit none

  logical                               :: restart
  type(type_para)                       :: para
  type(hmc_conf), dimension(MAX_TEMPER) :: conf

  call die("conf_write_ildg(): stub must not be called")
end

!===============================================================================
