/*
!===============================================================================
!
! c_defs.h - data types and headers for C routines
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2007 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
*/

#ifdef LongLong
# define INT8 long long
#else
# define INT8 long
#endif


/* prototypes for Fortran Functions called from C */

#ifdef NamesToLower
# define ABBRUCH abbruch
#endif

#ifdef NamesToLower_
# define ABBRUCH abbruch_
#endif

#ifdef NamesToLower__
# define ABBRUCH abbruch__
#endif


/* prototypes for those functions */

void ABBRUCH(void);

/*===========================================================================*/
