divert(-1)
#===============================================================================
#
# d100_defs.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
ifelse(GAMMA_NOTATION,BQCD,   `dnl
define(_GAMMA1,_GM1)
define(_GAMMA2,_GM2)
define(_GAMMA3,_GM3)
define(_GAMMA4,_GPN)')dnl
ifelse(GAMMA_NOTATION,CHROMA,   `dnl
define(_GAMMA1,_GM1)
define(_GAMMA2,_GP2)
define(_GAMMA3,_GM3)
define(_GAMMA4,_GPC)')dnl
ifelse(GAMMA_NOTATION,DDHMC,   `dnl
define(_GAMMA1,_GP1)
define(_GAMMA2,_GP2)
define(_GAMMA3,_GP3)
define(_GAMMA4,_GMC)')dnl
ifelse(GAMMA_NOTATION,CHIRAL,   `dnl
define(_GAMMA1,_GP1)
define(_GAMMA2,_GP2)
define(_GAMMA3,_GP3)
define(_GAMMA4,_GPC)')dnl
ifelse(GAMMA_NOTATION,NONRELA,   `dnl
define(_GAMMA1,_GP1)
define(_GAMMA2,_GP2)
define(_GAMMA3,_GP3)
define(_GAMMA4,_GPN)')dnl
ifdef(`DAGGER',`define(_N_OR_D,D)',`define(_N_OR_D,N)')dnl
ifelse(DIRECTION,X,`define(_DIR,1)')dnl
ifelse(DIRECTION,Y,`define(_DIR,2)')dnl
ifelse(DIRECTION,Z,`define(_DIR,3)')dnl
ifelse(DIRECTION,T,`define(_DIR,4)')dnl
divert(-1)
#
# all direction
# projection
#
divert(0)dnl
define(`_PROJ_GP1',`dnl
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),bwd', `,i')')dnl
define(`_PROJ_GM1',`dnl
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),bwd', `,i')')dnl
define(`_PROJ_GP2',`dnl
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),bwd', `,i')')dnl
define(`_PROJ_GM2',`dnl
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),bwd', `,i')')dnl
define(`_PROJ_GP3',`dnl
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),bwd', `,i')')dnl
define(`_PROJ_GM3',`dnl
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),bwd', `,i')')dnl
define(`_PROJ_GPC',`dnl
_PROJ_1_M_GAMMAC(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAC(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GMC',`dnl
_PROJ_1_P_GAMMAC(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_M_GAMMAC(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GPN',`dnl
_PROJ_1_M_GAMMAN(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAN(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GMN',`dnl
_PROJ_1_P_GAMMAN(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_M_GAMMAN(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_SUM_AA',`_STRCAT(_SUM,_DIR,_AA,_N_OR_D)($1)')dnl
ifelse(_GAMMA1,_GP1,   `dnl
define(`_D_PROJECTION1',`_PROJ_GP1')
define(`_SUM1_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA$1')')
define(`_SUM1_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA$1')')')dnl
ifelse(_GAMMA1,_GM1,   `dnl
define(`_D_PROJECTION1',`_PROJ_GM1')
define(`_SUM1_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA$1')')
define(`_SUM1_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA$1')')')dnl
ifelse(_GAMMA2,_GP2,   `dnl
define(`_D_PROJECTION2',`_PROJ_GP2')
define(`_SUM2_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA$1')')
define(`_SUM2_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA$1')')')dnl
ifelse(_GAMMA2,_GM2,   `dnl
define(`_D_PROJECTION2',`_PROJ_GM2')
define(`_SUM2_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA$1')')
define(`_SUM2_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA$1')')')dnl
ifelse(_GAMMA3,_GP3,   `dnl
define(`_D_PROJECTION3',`_PROJ_GP3')
define(`_SUM3_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA$1')')
define(`_SUM3_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA$1')')')dnl
ifelse(_GAMMA3,_GM3,   `dnl
define(`_D_PROJECTION3',`_PROJ_GM3')
define(`_SUM3_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA$1')')
define(`_SUM3_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA$1')')')dnl
ifelse(_GAMMA4,_GPC,   `dnl
define(`_D_PROJECTION4',`_PROJ_GPC')
define(`_SUM4_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA$1')')
define(`_SUM4_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA$1')')')dnl
ifelse(_GAMMA4,_GMC,   `dnl
define(`_D_PROJECTION4',`_PROJ_GMC')
define(`_SUM4_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA$1')')
define(`_SUM4_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA$1')')')dnl
ifelse(_GAMMA4,_GPN,   `dnl
define(`_D_PROJECTION4',`_PROJ_GPN')
define(`_SUM4_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA$1')')
define(`_SUM4_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA$1')')')dnl
ifelse(_GAMMA4,_GMN,   `dnl
define(`_D_PROJECTION4',`_PROJ_GMN')
define(`_SUM4_AAN',  `_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA$1')')
define(`_SUM4_AAD',  `_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA$1')')')dnl
define(`_SPIN12MULT',`dnl
`$1'11 = `$3'1 * u(1, $5, i)
`$1'21 = `$3'2 * u(1, $5, i)
`$1'12 = `$3'1 * u(2, $5, i)
`$1'22 = `$3'2 * u(2, $5, i)
`$1'13 = `$3'1 * u(3, $5, i)
`$1'23 = `$3'2 * u(3, $5, i)
`$2'11 = `$4'1 * u(4, $5, i)
`$2'21 = `$4'2 * u(4, $5, i)
`$2'12 = `$4'1 * u(5, $5, i)
`$2'22 = `$4'2 * u(5, $5, i)
`$2'13 = `$4'1 * u(6, $5, i)
`$2'23 = `$4'2 * u(6, $5, i)')dnl
define(`_SPIN12MULT_123',`dnl
`$1'11 = `$2'1 * u(1, $3, i)
`$1'21 = `$2'2 * u(1, $3, i)
`$1'12 = `$2'1 * u(2, $3, i)
`$1'22 = `$2'2 * u(2, $3, i)
`$1'13 = `$2'1 * u(3, $3, i)
`$1'23 = `$2'2 * u(3, $3, i)')dnl
define(`_SPIN12MULT_456',`dnl
`$1'11 = `$2'1 * u(4, $3, i)
`$1'21 = `$2'2 * u(4, $3, i)
`$1'12 = `$2'1 * u(5, $3, i)
`$1'22 = `$2'2 * u(5, $3, i)
`$1'13 = `$2'1 * u(6, $3, i)
`$1'23 = `$2'2 * u(6, $3, i)')dnl
define(`_SPIN12MULTADD',`dnl
`$1'11 = `$1'11 + `$3'1 * u(1, $5, i)
`$1'21 = `$1'21 + `$3'2 * u(1, $5, i)
`$1'12 = `$1'12 + `$3'1 * u(2, $5, i)
`$1'22 = `$1'22 + `$3'2 * u(2, $5, i)
`$1'13 = `$1'13 + `$3'1 * u(3, $5, i)
`$1'23 = `$1'23 + `$3'2 * u(3, $5, i)
`$2'11 = `$2'11 + `$4'1 * u(4, $5, i)
`$2'21 = `$2'21 + `$4'2 * u(4, $5, i)
`$2'12 = `$2'12 + `$4'1 * u(5, $5, i)
`$2'22 = `$2'22 + `$4'2 * u(5, $5, i)
`$2'13 = `$2'13 + `$4'1 * u(6, $5, i)
`$2'23 = `$2'23 + `$4'2 * u(6, $5, i)')dnl
define(`_SPIN12MULTADD_123',`dnl
`$1'11 = `$1'11 + `$2'1 * u(1, $3, i)
`$1'21 = `$1'21 + `$2'2 * u(1, $3, i)
`$1'12 = `$1'12 + `$2'1 * u(2, $3, i)
`$1'22 = `$1'22 + `$2'2 * u(2, $3, i)
`$1'13 = `$1'13 + `$2'1 * u(3, $3, i)
`$1'23 = `$1'23 + `$2'2 * u(3, $3, i)')dnl
define(`_SPIN12MULTADD_456',`dnl
`$1'11 = `$1'11 + `$2'1 * u(4, $3, i)
`$1'21 = `$1'21 + `$2'2 * u(4, $3, i)
`$1'12 = `$1'12 + `$2'1 * u(5, $3, i)
`$1'22 = `$1'22 + `$2'2 * u(5, $3, i)
`$1'13 = `$1'13 + `$2'1 * u(6, $3, i)
`$1'23 = `$1'23 + `$2'2 * u(6, $3, i)')dnl