divert(-1)
#===============================================================================
#
# spin_sum.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
divert(-1)
# macro for spin projection
divert(0)dnl
define(_ADD2,`dnl
$1(1$4)=$1(1$4)+$2(1$4)+$3(1$4)
$1(2$4)=$1(2$4)+$2(2$4)+$3(2$4)')dnl
define(_SSS,`dnl
$1(1$4)=$2(1$4)+$3(1$4)
$1(2$4)=$2(2$4)+$3(2$4)')dnl
dnl
define(_SUM_1_P_GAMMA1,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)+_ITS($2(2$4))-_ITS($3(2$4))
$1(4$4)=$1(4$4)+_ITS($2(1$4))-_ITS($3(1$4))')dnl
define(_SUM_1_M_GAMMA1,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)-_ITS($2(2$4))+_ITS($3(2$4))
$1(4$4)=$1(4$4)-_ITS($2(1$4))+_ITS($3(1$4))')dnl
define(_SUM_1_P_GAMMA2,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)+$2(2$4)-$3(2$4)
$1(4$4)=$1(4$4)-$2(1$4)+$3(1$4)')dnl
define(_SUM_1_M_GAMMA2,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)-$2(2$4)+$3(2$4)
$1(4$4)=$1(4$4)+$2(1$4)-$3(1$4)')dnl
define(_SUM_1_P_GAMMA3,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)+_ITS($2(1$4))-_ITS($3(1$4))
$1(4$4)=$1(4$4)-_ITS($2(2$4))+_ITS($3(2$4))')dnl
define(_SUM_1_M_GAMMA3,`dnl
_ADD2(`$1',`$2',`$3',`$4')
$1(3$4)=$1(3$4)-_ITS($2(1$4))+_ITS($3(1$4))
$1(4$4)=$1(4$4)+_ITS($2(2$4))-_ITS($3(2$4))')dnl
define(_SUM_1_P_GAMMAC,`dnl
_SSS(`$1',`$2',`$3',`$4')
$1(3$4)=+$2(1$4)-$3(1$4)
$1(4$4)=+$2(2$4)-$3(2$4)')dnl
define(_SUM_1_M_GAMMAC,`dnl
_SSS(`$1',`$2',`$3',`$4')
$1(3$4)=-$2(1$4)+$3(1$4)
$1(4$4)=-$2(2$4)+$3(2$4)')dnl
define(_SUM_1_P_GAMMAN,`dnl
$1(1$4)=$2(1$4)
$1(2$4)=$2(2$4)
$1(3$4)=$3(1$4)
$1(4$4)=$3(2$4)')dnl
define(_SUM_1_M_GAMMAN,`dnl
$1(1$4)=$3(1$4)
$1(2$4)=$3(2$4)
$1(3$4)=$2(1$4)
$1(4$4)=$2(2$4)')dnl
define(_SUM_GAMMA_COL,`dnl
$1(`$2',`$3',`$4',`,1$5')
$1(`$2',`$3',`$4',`,2$5')
$1(`$2',`$3',`$4',`,3$5')')dnl
divert(-1)
#
#
# macro for spin projection
#
#
divert(0)dnl
define(_SUM_1_P_GAMMA1_AA,`dnl
tmp3 = bf2`$1' - bb2`$1'
tmp4 = bf1`$1' - bb1`$1'
out(1,`$1',i)=+ bf1`$1' + bb1`$1'
out(2,`$1',i)=+ bf2`$1' + bb2`$1'
out(3,`$1',i)=+_ITS(tmp3)
out(4,`$1',i)=+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA,`dnl
tmp3 = bf2`$1' - bb2`$1'
tmp4 = bf1`$1' - bb1`$1'
out(1,`$1',i)=+ bf1`$1' + bb1`$1'
out(2,`$1',i)=+ bf2`$1' + bb2`$1'
out(3,`$1',i)=-_ITS(tmp3)
out(4,`$1',i)=-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bf2`$1' - bb2`$1'
out(4,`$1',i)=out(4,`$1',i) -bf1`$1' + bb1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)- bf2`$1' + bb2`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf1`$1' - bb1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA,`dnl
tmp3 = bf1`$1' - bb1`$1'
tmp4 =-bf2`$1' + bb2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA,`dnl
tmp3 = bf1`$1' - bb1`$1'
tmp4 =-bf2`$1' + bb2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)-_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bf1`$1' - bb1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf2`$1' - bb2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1' + bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1' + bb2`$1'
out(3,`$1',i)=out(3,`$1',i)- bf1`$1' + bb1`$1'
out(4,`$1',i)=out(4,`$1',i)- bf2`$1' + bb2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bb1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bb2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bf1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf2`$1'')dnl
define(_SUM_1_P_GAMMA1_AA34,`dnl
tmp3 = bf2`$1' - bb2`$1'
tmp4 = bf1`$1' - bb1`$1'
out(`$1',1,i)=+ bf1`$1' + bb1`$1'
out(`$1',2,i)=+ bf2`$1' + bb2`$1'
out(`$1',3,i)=+_ITS(tmp3)
out(`$1',4,i)=+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA34,`dnl
tmp3 = bf2`$1' - bb2`$1'
tmp4 = bf1`$1' - bb1`$1'
out(`$1',1,i)=+ bf1`$1' + bb1`$1'
out(`$1',2,i)=+ bf2`$1' + bb2`$1'
out(`$1',3,i)=-_ITS(tmp3)
out(`$1',4,i)=-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bf2`$1' - bb2`$1'
out(`$1',4,i)=out(`$1',4,i) -bf1`$1' + bb1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)- bf2`$1' + bb2`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf1`$1' - bb1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA34,`dnl
tmp3 = bf1`$1' - bb1`$1'
tmp4 =-bf2`$1' + bb2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA34,`dnl
tmp3 = bf1`$1' - bb1`$1'
tmp4 =-bf2`$1' + bb2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)-_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bf1`$1' - bb1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf2`$1' - bb2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1' + bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1' + bb2`$1'
out(`$1',3,i)=out(`$1',3,i)- bf1`$1' + bb1`$1'
out(`$1',4,i)=out(`$1',4,i)- bf2`$1' + bb2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bb1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bb2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA34,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bf1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf2`$1'')dnl
divert(-1)
#
#
# macro for spin projection only F
#
#
divert(0)dnl
define(_SUM_1_P_GAMMA1_AA_F,`dnl
tmp3 = bf2`$1'
tmp4 = bf1`$1'
out(1,`$1',i)=+ bf1`$1'
out(2,`$1',i)=+ bf2`$1'
out(3,`$1',i)=+_ITS(tmp3)
out(4,`$1',i)=+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA_F,`dnl
tmp3 = bf2`$1'
tmp4 = bf1`$1'
out(1,`$1',i)=+ bf1`$1'
out(2,`$1',i)=+ bf2`$1'
out(3,`$1',i)=-_ITS(tmp3)
out(4,`$1',i)=-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA_F,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bf2`$1'
out(4,`$1',i)=out(4,`$1',i)- bf1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA_F,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)- bf2`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA_F,`dnl
tmp3 = bf1`$1'
tmp4 =-bf2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)+_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA_F,`dnl
tmp3 = bf1`$1'
tmp4 =-bf2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)-_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA_F,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bf1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA_F,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'
out(3,`$1',i)=out(3,`$1',i)- bf1`$1'
out(4,`$1',i)=out(4,`$1',i)- bf2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA_F,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bf1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bf2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA_F,`dnl
out(3,`$1',i)=out(3,`$1',i)+ bf1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bf2`$1'')dnl
define(_SUM_1_P_GAMMA1_AA34_F,`dnl
tmp3 = bf2`$1'
tmp4 = bf1`$1'
out(`$1',1,i)=+ bf1`$1'
out(`$1',2,i)=+ bf2`$1'
out(`$1',3,i)=+_ITS(tmp3)
out(`$1',4,i)=+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA34_F,`dnl
tmp3 = bf2`$1'
tmp4 = bf1`$1'
out(`$1',1,i)=+ bf1`$1'
out(`$1',2,i)=+ bf2`$1'
out(`$1',3,i)=-_ITS(tmp3)
out(`$1',4,i)=-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA34_F,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bf2`$1'
out(`$1',4,i)=out(`$1',4,i)- bf1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA34_F,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)- bf2`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA34_F,`dnl
tmp3 = bf1`$1'
tmp4 =-bf2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)+_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA34_F,`dnl
tmp3 = bf1`$1'
tmp4 =-bf2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)-_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA34_F,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bf1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA34_F,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'
out(`$1',3,i)=out(`$1',3,i)- bf1`$1'
out(`$1',4,i)=out(`$1',4,i)- bf2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA34_F,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bf1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bf2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA34_F,`dnl
out(`$1',3,i)=out(`$1',3,i)+ bf1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bf2`$1'')dnl
divert(-1)
#
#
# macro for spin projection only B
#
#
divert(0)dnl
define(_SUM_1_P_GAMMA1_AA_B,`dnl
tmp3 = - bb2`$1'
tmp4 = - bb1`$1'
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA_B,`dnl
tmp3 = - bb2`$1'
tmp4 = - bb1`$1'
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)-_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA_B,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)- bb2`$1'
out(4,`$1',i)=out(4,`$1',i)+ bb1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA_B,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bb2`$1'
out(4,`$1',i)=out(4,`$1',i)- bb1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA_B,`dnl
tmp3 = - bb1`$1'
tmp4 = + bb2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA_B,`dnl
tmp3 =- bb1`$1'
tmp4 =+ bb2`$1'
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)-_ITS(tmp3)
out(4,`$1',i)=out(4,`$1',i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA_B,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)- bb1`$1'
out(4,`$1',i)=out(4,`$1',i)- bb2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA_B,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'
out(3,`$1',i)=out(3,`$1',i)+ bb1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bb2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA_B,`dnl
out(3,`$1',i)=out(3,`$1',i)+ bb1`$1'
out(4,`$1',i)=out(4,`$1',i)+ bb2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA_B,`dnl
out(1,`$1',i)=out(1,`$1',i)+ bb1`$1'
out(2,`$1',i)=out(2,`$1',i)+ bb2`$1'')dnl
define(_SUM_1_P_GAMMA1_AA34_B,`dnl
tmp3 =- bb2`$1'
tmp4 =- bb1`$1'
out(`$1',1,i)=+ bb1`$1'
out(`$1',2,i)=+ bb2`$1'
out(`$1',3,i)=+_ITS(tmp3)
out(`$1',4,i)=+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA1_AA34_B,`dnl
tmp3 =- bb2`$1'
tmp4 =- bb1`$1'
out(`$1',1,i)=+ bb1`$1'
out(`$1',2,i)=+ bb2`$1'
out(`$1',3,i)=-_ITS(tmp3)
out(`$1',4,i)=-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMA2_AA34_B,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)- bb2`$1'
out(`$1',4,i)=out(`$1',4,i)+ bb1`$1'')dnl
define(_SUM_1_M_GAMMA2_AA34_B,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bb2`$1'
out(`$1',4,i)=out(`$1',4,i)- bb1`$1'')dnl
define(_SUM_1_P_GAMMA3_AA34_B,`dnl
tmp3 =- bb1`$1'
tmp4 =+ bb2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)+_ITS(tmp4)')dnl
define(_SUM_1_M_GAMMA3_AA34_B,`dnl
tmp3 =- bb1`$1'
tmp4 =+ bb2`$1'
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)-_ITS(tmp3)
out(`$1',4,i)=out(`$1',4,i)-_ITS(tmp4)')dnl
define(_SUM_1_P_GAMMAC_AA34_B,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)- bb1`$1'
out(`$1',4,i)=out(`$1',4,i)- bb2`$1'')dnl
define(_SUM_1_M_GAMMAC_AA34_B,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'
out(`$1',3,i)=out(`$1',3,i)+ bb1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bb2`$1'')dnl
define(_SUM_1_P_GAMMAN_AA34_B,`dnl
out(`$1',3,i)=out(`$1',3,i)+ bb1`$1'
out(`$1',4,i)=out(`$1',4,i)+ bb2`$1'')dnl
define(_SUM_1_M_GAMMAN_AA34_B,`dnl
out(`$1',1,i)=out(`$1',1,i)+ bb1`$1'
out(`$1',2,i)=out(`$1',2,i)+ bb2`$1'')dnl
define(_SUM_GAMMA_COL,`dnl
$1(`$2',`$3',`$4',`,1$5')
$1(`$2',`$3',`$4',`,2$5')
$1(`$2',`$3',`$4',`,3$5')')dnl
define(_SUM_GAMMA_COL_AA,`dnl
$1(1)
$1(2)
$1(3)')dnl