#/*
#===============================================================================
#
# w_mult_r4.h
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
#*/

# define        wdagw        wdagw_r4
# define         wmul         wmul_r4
# define         wdag         wdag_r4
# define unprec_wdagw unprec_wdagw_r4
# define  unprec_wmul  unprec_wmul_r4
# define  unprec_wdag  unprec_wdag_r4

# define        mmul          mmul_r4
# define        mdag          mdag_r4
# define unprec_cmul   unprec_cmul_r4
# define unprec_mmul   unprec_mmul_r4
# define unprec_mdag   unprec_mdag_r4
# define unprec_mdagm unprec_mdagm_r4


# define mtil     mtil_r4
# define mtil_dag mtil_dag_r4
# define sc_axpy sc_axpy_r4

#/*
# define timing_bin_mtdagmt 1
# define TIMING_START TIMING2_START
# define TIMING_STOP  TIMING2_STOP
#*/

# define allocate_sc_field allocate_sc_field_r4

# define module_p_interface module_p_interface_r4

# define wdagw_block wdagw_block_r4
# define wmul_block wmul_block_r4
# define wdag_block wdag_block_r4
# define module_m_mult_block module_m_mult_block_r4

# define gauge gauge_r4
# define clover clover_r4
# define u_reorder u_reorder_r4
# define d_xbound d_xbound_r4


# define                d_block                d_block_r4
# define            d_dag_block            d_dag_block_r4
# define     d_projection_block     d_projection_block_r4
# define d_dag_projection_block d_dag_projection_block_r4

# define d_t_block d_t_block_r4
# define d_z_block d_z_block_r4
# define d_y_block d_y_block_r4
# define d_x_block d_x_block_r4
# define d_dag_t_block d_dag_t_block_r4
# define d_dag_z_block d_dag_z_block_r4
# define d_dag_y_block d_dag_y_block_r4
# define d_dag_x_block d_dag_x_block_r4

# define clover_mult_ao_block clover_mult_ao_block_r4
# define clover_mult_a2_block clover_mult_a2_block_r4

# define sc_axpy_block sc_axpy_block_r4
# define sc_xpby_block sc_xpby_block_r4
# define sc_dprod_block sc_dprod_block_r4
