include(`defs.m4')
include(`spin_sum.m4')
include(`d100_defs.m4')
ifelse(DIRECTION,X,`define(`_DIR',1)')dnl
ifelse(DIRECTION,Y,`define(`_DIR',2)')dnl
ifelse(DIRECTION,Z,`define(`_DIR',3)')dnl
ifelse(DIRECTION,T,`define(`_DIR',4)')dnl
!-------------------------------------------------------------------------------
#include "defs.h"
!-------------------------------------------------------------------------------
subroutine _STRCAT(d_,NAME,_block)(out, a, u, nn_fwd, nn_bwd, i1, i2)
  use module_d_g_reorder
  use module_vol
  implicit none
  COMPLEX, dimension (2, 3, volh_tot, DIM, 0:1) :: a
  COMPLEX, dimension (6, 3, *) :: u
  integer(4), dimension (*) :: nn_fwd, nn_bwd
#ifdef FLIPSC
  COMPLEX, dimension (3, 4, *) :: out
#else
  COMPLEX, dimension (4, 3, *) :: out
#endif
  integer :: i1, i2

  call _STRCAT(d_,NAME,_block2)(out, &
  a(1,1,1,mud(_DIR),0), a(1,1,1,mud(_DIR),1), &
  u, nn_fwd, nn_bwd, i1, i2)
end

!-------------------------------------------------------------------------------
subroutine _STRCAT(d_,NAME,_block2)(out, a_fwd, a_bwd, u, nn_fwd, nn_bwd, i1, i2)
  use module_vol
  implicit none
  COMPLEX, dimension (2, 3, *) :: a_fwd, a_bwd
  COMPLEX, dimension (6, 3, *) :: u
  integer(4), dimension (*) :: nn_fwd, nn_bwd
#ifdef FLIPSC
  COMPLEX, dimension (3, 4, *) :: out
#else
  COMPLEX, dimension (4, 3, *) :: out
#endif

  integer :: i, jf, jb, i1, i2
  COMPLEX :: a1, a2 , bf11,bf21,bf12,bf22,bf13,bf23
  COMPLEX ::          bb11,bb21,bb12,bb22,bb13,bb23
  COMPLEX :: tmp3, tmp4
#ifdef IBM
!
! compiler takes care align for tmp variable
! so do not align tmp var
!
  call alignx(16, out(1,1,1) )
  call alignx(16, u(1,1,1))
  call alignx(16, a_fwd(1,1,1))
  call alignx(16, a_bwd(1,1,1))
#endif
  do i = i1, i2
     jf=nn_fwd(i)
     jb=nn_bwd(i)
     a1=a_fwd(1, 1, jf)
     a2=a_fwd(2, 1, jf)
_SPIN12MULT_123(bf,a,1)
     a1=a_bwd(1, 1, jb)
     a2=a_bwd(2, 1, jb)
_SPIN12MULT_456(bb,a,1)
     a1=a_fwd(1, 2, jf)
     a2=a_fwd(2, 2, jf)
_SPIN12MULTADD_123(bf,a,2)
     a1=a_bwd(1, 2, jb)
     a2=a_bwd(2, 2, jb)
_SPIN12MULTADD_456(bb,a,2)
     a1=a_fwd(1, 3, jf)
     a2=a_fwd(2, 3, jf)
_SPIN12MULTADD_123(bf,a,3)
     a1=a_bwd(1, 3, jb)
     a2=a_bwd(2, 3, jb)
_SPIN12MULTADD_456(bb,a,3)

#ifdef FLIPSC
_SUM_AA(`34')
#else
_SUM_AA
#endif
  enddo

end

!===============================================================================
