/*
!===============================================================================
!
! ildg_xml.h
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2007 Hinnerk Stueben
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
*/

/* prototypes for C functions called from C */

 int ildg_xml_get_token(int n, char *xml, char **token, int *len);
 int ildg_xml_get_value(char *key, char *xml, char **value, int *len);
int ildg_xml_get_value1(char *xml, char *key, char *value);
void ildg_xml_get_int(char *xml, char *key, int *i);
void ildg_xml_check_value(char *xml, char *key, char *value);

/*===========================================================================*/
