divert(-1)
#===============================================================================
#
# d100_defs_v0.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
divert(-1)
#
# all direction
#
divert(0)dnl
define(`_PROJ_GAMMA_NOTATION_CHROMA',`dnl
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),bwd', `,i')
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),bwd', `,i')
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),bwd', `,i')
_PROJ_1_M_GAMMAC(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAC(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GAMMA_NOTATION_CHIRAL',`dnl
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),bwd', `,i')
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),bwd', `,i')
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),bwd', `,i')
_PROJ_1_M_GAMMAC(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAC(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GAMMA_NOTATION_NONRELA',`dnl
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),bwd', `,i')
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),bwd', `,i')
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),bwd', `,i')
_PROJ_1_M_GAMMAN(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAN(out,in, `,i,mu(4),bwd', `,i')')dnl
define(`_PROJ_GAMMA_NOTATION_BQCD',`dnl
_PROJ_1_P_GAMMA1(out,in, `,i,mu(1),fwd', `,i')
_PROJ_1_M_GAMMA1(out,in, `,i,mu(1),bwd', `,i')
_PROJ_1_P_GAMMA2(out,in, `,i,mu(2),fwd', `,i')
_PROJ_1_M_GAMMA2(out,in, `,i,mu(2),bwd', `,i')
_PROJ_1_P_GAMMA3(out,in, `,i,mu(3),fwd', `,i')
_PROJ_1_M_GAMMA3(out,in, `,i,mu(3),bwd', `,i')
_PROJ_1_M_GAMMAN(out,in, `,i,mu(4),fwd', `,i')
_PROJ_1_P_GAMMAN(out,in, `,i,mu(4),bwd', `,i')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_D_PROJECTION',`_PROJ_GAMMA_NOTATION_BQCD')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_D_PROJECTION',`_PROJ_GAMMA_NOTATION_CHROMA')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_D_PROJECTION',`_PROJ_GAMMA_NOTATION_CHIRAL')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_D_PROJECTION',`_PROJ_GAMMA_NOTATION_NONRELA')')dnl
dnl
divert(-1)
#
# direction1
#
divert(0)dnl
define(`_PROJ_GAMMA1_NOTATION_CHROMA',`dnl
_PROJ_1_P_GAMMA1(out,in, `,i,mu1,fwd', `,if')
_PROJ_1_M_GAMMA1(out,in, `,i,mu1,bwd', `,ib')')dnl
define(`_PROJ_GAMMA1_NOTATION_CHIRAL',`dnl
_PROJ_1_M_GAMMA1(out,in, `,i,mu1,fwd', `,if')
_PROJ_1_P_GAMMA1(out,in, `,i,mu1,bwd', `,ib')')dnl
define(`_PROJ_GAMMA1_NOTATION_NONRELA',`dnl
_PROJ_1_M_GAMMA1(out,in, `,i,mu1,fwd', `,if')
_PROJ_1_P_GAMMA1(out,in, `,i,mu1,bwd', `,ib')')dnl
define(`_PROJ_GAMMA1_NOTATION_BQCD',`dnl
_PROJ_1_P_GAMMA1(out,in, `,i,mu1,fwd', `,if')
_PROJ_1_M_GAMMA1(out,in, `,i,mu1,bwd', `,ib')')dnl
divert(-1)
#
# direction2
#
divert(0)dnl
define(`_PROJ_GAMMA2_NOTATION_CHROMA',`dnl
_PROJ_1_M_GAMMA2(out,in, `,i,mu2,fwd', `,if')
_PROJ_1_P_GAMMA2(out,in, `,i,mu2,bwd', `,ib')')dnl
define(`_PROJ_GAMMA2_NOTATION_CHIRAL',`dnl
_PROJ_1_M_GAMMA2(out,in, `,i,mu2,fwd', `,if')
_PROJ_1_P_GAMMA2(out,in, `,i,mu2,bwd', `,ib')')dnl
define(`_PROJ_GAMMA2_NOTATION_NONRELA',`dnl
_PROJ_1_M_GAMMA2(out,in, `,i,mu2,fwd', `,if')
_PROJ_1_P_GAMMA2(out,in, `,i,mu2,bwd', `,ib')')dnl
define(`_PROJ_GAMMA2_NOTATION_BQCD',`dnl
_PROJ_1_P_GAMMA2(out,in, `,i,mu2,fwd', `,if')
_PROJ_1_M_GAMMA2(out,in, `,i,mu2,bwd', `,ib')')dnl
divert(-1)
#
# direction3
#
divert(0)dnl
define(`_PROJ_GAMMA3_NOTATION_CHROMA',`dnl
_PROJ_1_P_GAMMA3(out,in, `,i,mu3,fwd', `,if')
_PROJ_1_M_GAMMA3(out,in, `,i,mu3,bwd', `,ib')')dnl
define(`_PROJ_GAMMA3_NOTATION_CHIRAL',`dnl
_PROJ_1_M_GAMMA3(out,in, `,i,mu3,fwd', `,if')
_PROJ_1_P_GAMMA3(out,in, `,i,mu3,bwd', `,ib')')dnl
define(`_PROJ_GAMMA3_NOTATION_NONRELA',`dnl
_PROJ_1_M_GAMMA3(out,in, `,i,mu3,fwd', `,if')
_PROJ_1_P_GAMMA3(out,in, `,i,mu3,bwd', `,ib')')dnl
define(`_PROJ_GAMMA3_NOTATION_BQCD',`dnl
_PROJ_1_P_GAMMA3(out,in, `,i,mu3,fwd', `,if')
_PROJ_1_M_GAMMA3(out,in, `,i,mu3,bwd', `,ib')')dnl
divert(-1)
#
# direction4
#
divert(0)dnl
define(`_PROJ_GAMMA4_NOTATION_CHROMA',`dnl
_PROJ_1_M_GAMMAC(out,in, `,i,mu4,fwd', `,if')
_PROJ_1_P_GAMMAC(out,in, `,i,mu4,bwd', `,ib')')dnl
define(`_PROJ_GAMMA4_NOTATION_CHIRAL',`dnl
_PROJ_1_M_GAMMAC(out,in, `,i,mu4,fwd', `,if')
_PROJ_1_P_GAMMAC(out,in, `,i,mu4,bwd', `,ib')')dnl
define(`_PROJ_GAMMA4_NOTATION_NONRELA',`dnl
_PROJ_1_M_GAMMAN(out,in, `,i,mu4,fwd', `,if')
_PROJ_1_P_GAMMAN(out,in, `,i,mu4,bwd', `,ib')')dnl
define(`_PROJ_GAMMA4_NOTATION_BQCD',`dnl
_PROJ_1_M_GAMMAN(out,in, `,i,mu4,fwd', `,if')
_PROJ_1_P_GAMMAN(out,in, `,i,mu4,bwd', `,ib')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_D_PROJECTION1',`_PROJ_GAMMA1_NOTATION_BQCD')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_D_PROJECTION1',`_PROJ_GAMMA1_NOTATION_CHROMA')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_D_PROJECTION1',`_PROJ_GAMMA1_NOTATION_CHIRAL')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_D_PROJECTION1',`_PROJ_GAMMA1_NOTATION_NONRELA')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_D_PROJECTION2',`_PROJ_GAMMA2_NOTATION_BQCD')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_D_PROJECTION2',`_PROJ_GAMMA2_NOTATION_CHROMA')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_D_PROJECTION2',`_PROJ_GAMMA2_NOTATION_CHIRAL')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_D_PROJECTION2',`_PROJ_GAMMA2_NOTATION_NONRELA')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_D_PROJECTION3',`_PROJ_GAMMA3_NOTATION_BQCD')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_D_PROJECTION3',`_PROJ_GAMMA3_NOTATION_CHROMA')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_D_PROJECTION3',`_PROJ_GAMMA3_NOTATION_CHIRAL')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_D_PROJECTION3',`_PROJ_GAMMA3_NOTATION_NONRELA')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_D_PROJECTION4',`_PROJ_GAMMA4_NOTATION_BQCD')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_D_PROJECTION4',`_PROJ_GAMMA4_NOTATION_CHROMA')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_D_PROJECTION4',`_PROJ_GAMMA4_NOTATION_CHIRAL')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_D_PROJECTION4',`_PROJ_GAMMA4_NOTATION_NONRELA')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM1_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM1_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM1_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM1_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM2_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM2_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM2_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM2_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM3_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM3_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM3_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM3_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM4_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM4_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM4_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM4_AAN',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM1_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM1_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM1_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM1_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM2_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM2_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM2_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM2_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM3_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM3_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM3_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM3_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM4_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM4_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM4_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM4_AAD',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM1_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM1_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM1_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM1_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM2_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM2_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM2_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM2_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM3_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM3_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM3_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM3_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM4_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM4_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM4_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAC_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM4_AAN34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMAN_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM1_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM1_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM1_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM1_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA1_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM2_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM2_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM2_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM2_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA2_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM3_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM3_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_M_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM3_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM3_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMA3_AA34')')')dnl
ifelse(GAMMA_NOTATION,BQCD,   `define(`_SUM4_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHROMA, `define(`_SUM4_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA34')')')dnl
ifelse(GAMMA_NOTATION,CHIRAL, `define(`_SUM4_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAC_AA34')')')dnl
ifelse(GAMMA_NOTATION,NONRELA,`define(`_SUM4_AAD34',`_SUM_GAMMA_COL_AA(`_SUM_1_P_GAMMAN_AA34')')')dnl
dnl
ifelse(DIRECTION,X,`define(`_SUM_AAN',_SUM1_AAN)')dnl
ifelse(DIRECTION,Y,`define(`_SUM_AAN',_SUM2_AAN)')dnl
ifelse(DIRECTION,Z,`define(`_SUM_AAN',_SUM3_AAN)')dnl
ifelse(DIRECTION,T,`define(`_SUM_AAN',_SUM4_AAN)')dnl
ifelse(DIRECTION,X,`define(`_SUM_AAD',_SUM1_AAD)')dnl
ifelse(DIRECTION,Y,`define(`_SUM_AAD',_SUM2_AAD)')dnl
ifelse(DIRECTION,Z,`define(`_SUM_AAD',_SUM3_AAD)')dnl
ifelse(DIRECTION,T,`define(`_SUM_AAD',_SUM4_AAD)')dnl
ifelse(DIRECTION,X,`define(`_SUM_AAN34',_SUM1_AAN34)')dnl
ifelse(DIRECTION,Y,`define(`_SUM_AAN34',_SUM2_AAN34)')dnl
ifelse(DIRECTION,Z,`define(`_SUM_AAN34',_SUM3_AAN34)')dnl
ifelse(DIRECTION,T,`define(`_SUM_AAN34',_SUM4_AAN34)')dnl
ifelse(DIRECTION,X,`define(`_SUM_AAD34',_SUM1_AAD34)')dnl
ifelse(DIRECTION,Y,`define(`_SUM_AAD34',_SUM2_AAD34)')dnl
ifelse(DIRECTION,Z,`define(`_SUM_AAD34',_SUM3_AAD34)')dnl
ifelse(DIRECTION,T,`define(`_SUM_AAD34',_SUM4_AAD34)')dnl
dnl
ifdef(`DAGGER',`define(`_SUM_AA',_SUM_AAD)',`define(`_SUM_AA',_SUM_AAN)')dnl
ifdef(`DAGGER',`define(`_SUM_AA34',_SUM_AAD34)',`define(`_SUM_AA34',_SUM_AAN34)')dnl
dnl
define(`_SPIN12MULT',`dnl
`$1'11 = `$3'1 * u(1, $5, i)
`$1'21 = `$3'2 * u(1, $5, i)
`$1'12 = `$3'1 * u(2, $5, i)
`$1'22 = `$3'2 * u(2, $5, i)
`$1'13 = `$3'1 * u(3, $5, i)
`$1'23 = `$3'2 * u(3, $5, i)
`$2'11 = `$4'1 * u(4, $5, i)
`$2'21 = `$4'2 * u(4, $5, i)
`$2'12 = `$4'1 * u(5, $5, i)
`$2'22 = `$4'2 * u(5, $5, i)
`$2'13 = `$4'1 * u(6, $5, i)
`$2'23 = `$4'2 * u(6, $5, i)')dnl
define(`_SPIN12MULT_123',`dnl
`$1'11 = `$2'1 * u(1, $3, i)
`$1'21 = `$2'2 * u(1, $3, i)
`$1'12 = `$2'1 * u(2, $3, i)
`$1'22 = `$2'2 * u(2, $3, i)
`$1'13 = `$2'1 * u(3, $3, i)
`$1'23 = `$2'2 * u(3, $3, i)')dnl
define(`_SPIN12MULT_456',`dnl
`$1'11 = `$2'1 * u(4, $3, i)
`$1'21 = `$2'2 * u(4, $3, i)
`$1'12 = `$2'1 * u(5, $3, i)
`$1'22 = `$2'2 * u(5, $3, i)
`$1'13 = `$2'1 * u(6, $3, i)
`$1'23 = `$2'2 * u(6, $3, i)')dnl
define(`_SPIN12MULTADD',`dnl
`$1'11 = `$1'11 + `$3'1 * u(1, $5, i)
`$1'21 = `$1'21 + `$3'2 * u(1, $5, i)
`$1'12 = `$1'12 + `$3'1 * u(2, $5, i)
`$1'22 = `$1'22 + `$3'2 * u(2, $5, i)
`$1'13 = `$1'13 + `$3'1 * u(3, $5, i)
`$1'23 = `$1'23 + `$3'2 * u(3, $5, i)
`$2'11 = `$2'11 + `$4'1 * u(4, $5, i)
`$2'21 = `$2'21 + `$4'2 * u(4, $5, i)
`$2'12 = `$2'12 + `$4'1 * u(5, $5, i)
`$2'22 = `$2'22 + `$4'2 * u(5, $5, i)
`$2'13 = `$2'13 + `$4'1 * u(6, $5, i)
`$2'23 = `$2'23 + `$4'2 * u(6, $5, i)')dnl
define(`_SPIN12MULTADD_123',`dnl
`$1'11 = `$1'11 + `$2'1 * u(1, $3, i)
`$1'21 = `$1'21 + `$2'2 * u(1, $3, i)
`$1'12 = `$1'12 + `$2'1 * u(2, $3, i)
`$1'22 = `$1'22 + `$2'2 * u(2, $3, i)
`$1'13 = `$1'13 + `$2'1 * u(3, $3, i)
`$1'23 = `$1'23 + `$2'2 * u(3, $3, i)')dnl
define(`_SPIN12MULTADD_456',`dnl
`$1'11 = `$1'11 + `$2'1 * u(4, $3, i)
`$1'21 = `$1'21 + `$2'2 * u(4, $3, i)
`$1'12 = `$1'12 + `$2'1 * u(5, $3, i)
`$1'22 = `$1'22 + `$2'2 * u(5, $3, i)
`$1'13 = `$1'13 + `$2'1 * u(6, $3, i)
`$1'23 = `$1'23 + `$2'2 * u(6, $3, i)')dnl