divert(-1)
#===============================================================================
#
# spin_dcmp.m4
#
#-------------------------------------------------------------------------------
#
# Copyright (C) 2008-2010 Yoshifumi Nakamura
#
# This file is part of BQCD -- Berlin Quantum ChromoDynamics program
#
# BQCD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BQCD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
#
#-------------------------------------------------------------------------------
divert(0)dnl
divert(-1)
# macro for spin decomposition
divert(0)dnl
define(`_DCMP_1_P_GAMMA1',`dnl
  $1(1$5)= $2(1,$3,$4) - _ITS($2(4,$3,$4))
  $1(2$5)= $2(2,$3,$4) - _ITS($2(3,$3,$4))
  $1(3$5)= _ITS($1(2$5))
  $1(4$5)= _ITS($1(1$5))')dnl
define(`_DCMP_1_M_GAMMA1',`dnl
  $1(1$5)= $2(1,$3,$4) + _ITS($2(4,$3,$4))
  $1(2$5)= $2(2,$3,$4) + _ITS($2(3,$3,$4))
  $1(3$5)=-_ITS($1(2$5))
  $1(4$5)=-_ITS($1(1$5))')dnl
define(`_DCMP_1_P_GAMMA2',`dnl
  $1(1$5) = $2(1,$3,$4) - $2(4,$3,$4)
  $1(2$5) = $2(2,$3,$4) + $2(3,$3,$4)
  $1(3$5) =  $1(2$5)
  $1(4$5) = -$1(1$5)')dnl
define(`_DCMP_1_M_GAMMA2',`dnl
  $1(1$5) = $2(1,$3,$4) + $2(4,$3,$4)
  $1(2$5) = $2(2,$3,$4) - $2(3,$3,$4)
  $1(3$5) =-$1(2$5)
  $1(4$5) = $1(1$5)')dnl
define(`_DCMP_1_P_GAMMA3',`dnl
  $1(1$5) = $2(1,$3,$4) - _ITS($2(3,$3,$4))
  $1(2$5) = $2(2,$3,$4) + _ITS($2(4,$3,$4))
  $1(3$5) = _ITS($1(1$5))
  $1(4$5) =-_ITS($1(2$5))')dnl
define(`_DCMP_1_M_GAMMA3',`dnl
  $1(1$5) = $2(1,$3,$4) + _ITS($2(3,$3,$4))
  $1(2$5) = $2(2,$3,$4) - _ITS($2(4,$3,$4))
  $1(3$5) =-_ITS($1(1$5))
  $1(4$5) = _ITS($1(2$5))')dnl
define(`_DCMP_1_P_GAMMAC',`dnl
  $1(1$5) = $2(1,$3,$4) + $2(3,$3,$4)
  $1(2$5) = $2(2,$3,$4) + $2(4,$3,$4)
  $1(3$5) = $1(1$5)
  $1(4$5) = $1(2$5)')dnl
define(`_DCMP_1_M_GAMMAC',`dnl
  $1(1$5) = $2(1,$3,$4) - $2(3,$3,$4)
  $1(2$5) = $2(2,$3,$4) - $2(4,$3,$4)
  $1(3$5) =-$1(1$5)
  $1(4$5) =-$1(2$5)')dnl
define(`_DCMP_1_P_GAMMAN',`dnl
  $1(1$5) = 2*$2(1,$3,$4)
  $1(2$5) = 2*$2(2,$3,$4)
  $1(3$5) = 0
  $1(4$5) = 0')dnl
define(`_DCMP_1_M_GAMMAN',`dnl
  $1(1$5) = 0
  $1(2$5) = 0
  $1(3$5) = 2*$2(3,$3,$4)
  $1(4$5) = 2*$2(4,$3,$4)')dnl
ifelse(DCMP,_dcmp_1_p_gamma1,`define(`NDCMP',`_dcmp_1_p_gamma1')')dnl
ifelse(DCMP,_dcmp_1_m_gamma1,`define(`NDCMP',`_dcmp_1_m_gamma1')')dnl
ifelse(DCMP,_dcmp_1_p_gamma2,`define(`NDCMP',`_dcmp_1_p_gamma2')')dnl
ifelse(DCMP,_dcmp_1_m_gamma2,`define(`NDCMP',`_dcmp_1_m_gamma2')')dnl
ifelse(DCMP,_dcmp_1_p_gamma3,`define(`NDCMP',`_dcmp_1_p_gamma3')')dnl
ifelse(DCMP,_dcmp_1_m_gamma3,`define(`NDCMP',`_dcmp_1_m_gamma3')')dnl
ifelse(DCMP,_dcmp_1_p_gammac,`define(`NDCMP',`_dcmp_1_p_gammac')')dnl
ifelse(DCMP,_dcmp_1_m_gammac,`define(`NDCMP',`_dcmp_1_m_gammac')')dnl
ifelse(DCMP,_dcmp_1_p_gamman,`define(`NDCMP',`_dcmp_1_p_gamman')')dnl
ifelse(DCMP,_dcmp_1_m_gamman,`define(`NDCMP',`_dcmp_1_m_gamman')')dnl
ifelse(DCMP,_dcmp_1_p_gamma1,`define(`DDCMP',defn(`_DCMP_1_P_GAMMA1'))')dnl
ifelse(DCMP,_dcmp_1_m_gamma1,`define(`DDCMP',defn(`_DCMP_1_M_GAMMA1'))')dnl
ifelse(DCMP,_dcmp_1_p_gamma2,`define(`DDCMP',defn(`_DCMP_1_P_GAMMA2'))')dnl
ifelse(DCMP,_dcmp_1_m_gamma2,`define(`DDCMP',defn(`_DCMP_1_M_GAMMA2'))')dnl
ifelse(DCMP,_dcmp_1_p_gamma3,`define(`DDCMP',defn(`_DCMP_1_P_GAMMA3'))')dnl
ifelse(DCMP,_dcmp_1_m_gamma3,`define(`DDCMP',defn(`_DCMP_1_M_GAMMA3'))')dnl
ifelse(DCMP,_dcmp_1_p_gammac,`define(`DDCMP',defn(`_DCMP_1_P_GAMMAC'))')dnl
ifelse(DCMP,_dcmp_1_m_gammac,`define(`DDCMP',defn(`_DCMP_1_M_GAMMAC'))')dnl
ifelse(DCMP,_dcmp_1_p_gamman,`define(`DDCMP',defn(`_DCMP_1_P_GAMMAN'))')dnl
ifelse(DCMP,_dcmp_1_m_gamman,`define(`DDCMP',defn(`_DCMP_1_M_GAMMAN'))')dnl
