!===============================================================================
!
! module_field.F90
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2008 Yoshifumi Nakamura 
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# include "defs.h"

!-------------------------------------------------------------------------------
module module_field

  use typedef

!! sco field is very important on BGL, juicenext, probably IBM
!! the version which does not use this may crash in some situations
!! around multi_shift_cg. 

  type(sco_field), dimension(:,:),pointer,save   :: sco
  type(sc_field), dimension(:),pointer,save   :: mpf
  type(gauge_field), dimension(:),pointer,save  :: gauge
  type(clover_field), dimension(:),pointer,save :: clover

  type(gauge_field_r4), dimension(:),pointer,save  :: gauge_r4
  type(clover_field_r4), dimension(:),pointer,save :: clover_r4

#ifdef BAGEL
  COMPLEX, dimension (:,:,:,:,:), pointer, save :: bagel_u
#endif

end

!===============================================================================
